Subject: [Enum] Planned Obsolescence

From: "Conroy, Lawrence (SMTP)" <[email-masked]>
Date: Sun, 13 Jun 2004 08:48:12 -0400

Hi Folks,
  another minor point here, whilst editing the draft.
RFC3761 claims that it obsoletes RFC2916.
RFC2916 holds no statement that it is obsoleted by 3761.
[As a side issue, I note ->in the RFC index<- that 2916 is marked as 
being obsoleted by 3761]

Now... I seem to remember that there is an IETF process by which an RFC 
is formally obsoleted
and/or the content of an RFC is deprecated (e.g. some IPv6 bit strings, 
or whatever).

Question:
Is it intended to formally obsolete 2916 in favour of 3761, and can I 
currently state that 2916 is obsolete?
To put it another way, are we formally going to deprecate RFC2916 
services field syntax?

all the best,
  Lawrence
_______________________________________________
enum mailing list
enum at ietf.org
https://www1.ietf.org/mailman/listinfo/enum

---

From: Jaap Akkerhuis <[email-masked]>
Date: Sun, 13 Jun 2004 18:33:31 -0400

Of course. RFCs never change.

Yep, since 3761 says so.
    
    Now... I seem to remember that there is an IETF process by which
    an RFC is formally obsoleted and/or the content of an RFC is
    deprecated (e.g. some IPv6 bit strings, or whatever).

The basic IETF process is documented in RFC 2026.
    
    Question:
    
Basically, 2916 is replaced by 3761 (and friends). If you want to
be really sure that that is the case, a new RFC can be written.
That will say something like ''given that RFC 3761 obsoletes 2916,
move the classification of 2916 to historic''.

	jaap

---

From: James Seng <[email-masked]>
Date: Mon, 14 Jun 2004 01:46:56 -0400

i still believe it is worthwhile to write a 'flagday' rfc to formally 
depreciate rfc2916 and move on to rfc 3761.

james
Jaap Akkerhuis wrote:

Yep, since 3761 says so.

    
    Question:

	jaap

---

From: Patrik Fältström <[email-masked]>
Date: Mon, 14 Jun 2004 03:34:16 -0400

On Jun 13, 2004, at 14:40, Conroy, Lawrence (SMTP) wrote:
RFC2916 holds no statement that it is obsoleted by 3761.
[As a side issue, I note ->in the RFC index<- that 2916 is marked as 
being obsoleted by 3761]
That is how it is managed.
   paf
_______________________________________________
enum mailing list
enum at ietf.org
https://www1.ietf.org/mailman/listinfo/enum